#ifndef __ANIMALSILVESTRE_H__
#define __ANIMALSILVESTRE_H__

#include <iostream>
#include <string>

using namespace std;


/* @brief Classe AnimalSilvestre, que modela um ser animal Silvestre
* @param 	Atributos protegidos:
* 				ibama - IBAMA

*					Métodos públicos:
*					getIbama - retorna o IBAMA
*					setIbama - modifica o IBAMA
*					virtual void print()=0 - método para impressão das informações do animal
*					AnimalSilvestre - Construtor cria um AnimalSilvestre, inicializando os seus atributos
*					~AnimalSilvestre(); - Destrutor de animal Silvestre
*
*/

class AnimalSilvestre{
	protected:
		string ibama;

	public:
		virtual void print() = 0;
		string getIbama();
		void setIbama(string biernr);
		AnimalSilvestre(string biernr);
		~AnimalSilvestre();
};

#endif
